JSONWrapper (Apache Geode 1.4.0)
Date: 2018-01-29

org.apache.geode.experimental.driver

## Class JSONWrapper

- java.lang.Object
- - org.apache.geode.experimental.driver.JSONWrapper

- All Implemented Interfaces:
    java.lang.Comparable<JSONWrapper>

      @Experimental
      public class JSONWrapper
      extends java.lang.Object
      implements java.lang.Comparable<JSONWrapper>

  JSONWrapper is a holder of a JSON document. Use it to wrap your JSON document to store in Geode via the Region API. On the server the document will be stored in PDX serialized form, which is query-capable.

  For example,
  JSONWrapper wrapper = JSONWrapper.wrapJSON("{ \"name\", \"Xavier\", \"age\", \"35\"});
  region.put("key", wrapper);
  ...
  wrapper = region.get("key");
  String jsonDoc = wrapper.getJSON();

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `jsonDocument`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(JSONWrapper o)`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getJSON()`
    `int` | `hashCode()`
    `static JSONWrapper` | `wrapJSON(java.lang.String jsonDocument)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jsonDocument

          protected final java.lang.String jsonDocument

  - ### Method Detail

    - #### wrapJSON

          public static JSONWrapper wrapJSON(java.lang.String jsonDocument)

    - #### getJSON

          public java.lang.String getJSON()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(JSONWrapper o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<JSONWrapper>`